curl --request POST \
--url https://api.sandbox.tesouro.com/embedded-banking/v1/authorization-controls/velocity-controls \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "<string>",
"amountLimit": 123,
"currencyCode": "<string>",
"name": "<string>",
"active": true,
"cardId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mcc": "<string>",
"mccGroup": "<string>",
"usageLimit": 123
}
'import requests
url = "https://api.sandbox.tesouro.com/embedded-banking/v1/authorization-controls/velocity-controls"
payload = {
"id": "<string>",
"amountLimit": 123,
"currencyCode": "<string>",
"name": "<string>",
"active": True,
"cardId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mcc": "<string>",
"mccGroup": "<string>",
"usageLimit": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: '<string>',
amountLimit: 123,
currencyCode: '<string>',
name: '<string>',
active: true,
cardId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
mcc: '<string>',
mccGroup: '<string>',
usageLimit: 123
})
};
fetch('https://api.sandbox.tesouro.com/embedded-banking/v1/authorization-controls/velocity-controls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"active": true,
"amountLimit": 123,
"createdAt": "2023-11-07T05:31:56Z",
"currencyCode": "<string>",
"name": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"velocityWindow": "DAY",
"cardId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mcc": "<string>",
"mccGroup": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"usageLimit": 123
}{
"detail": "<string>",
"errorCode": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"detail": "<string>",
"errorCode": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"detail": "<string>",
"errorCode": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"detail": "<string>",
"errorCode": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"detail": "<string>",
"errorCode": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}Create velocity control
Creates a velocity control — a spend/usage limit over a rolling window. Omit cardId for
an organization-scoped control (the caller’s resolved org); supply it to scope the control to a
single debit card the caller can access.
Token types: APP, USER | Required scopes: authorization_control:write:org
Authorizations
Application (M2M) OAuth2 access token (client credentials).
Headers
ID of the organization to perform this operation on behalf of. Required for BANK and PLATFORM app token callers targeting a specific organization. If omitted, the request uses the authenticated caller's own organization. Must be a valid non-empty UUID. Present but malformed values return 400.
Body
Creates a velocity control — a spend/usage limit over a rolling window. Omit Guid? CreateVelocityControlRequest.CardId for an organization-scoped control (the caller's resolved org); supply it for a card-scoped control.
Caller-supplied identifier, unique within the organization.
Maximum spend within the window, in the currency's minor units (e.g. cents).
ISO 4217 currency code (e.g. USD).
Human-readable name for the control.
The rolling period a velocity control's amount and usage limits are evaluated over.
TRANSACTION applies the limit per-transaction and therefore carries no usage limit.
DAY, LIFETIME, MONTH, TRANSACTION, WEEK Whether the control is active when created. Defaults to false.
Set to scope the control to a single debit card; omit for an organization-scoped control.
Optional single MCC to narrow the control to.
Optional MCC group id to narrow the control to.
Maximum transactions in the window; -1 is unlimited. Must be omitted when
VelocityWindow CreateVelocityControlRequest.VelocityWindow is VelocityWindow.TRANSACTION.
Response
Created
A velocity control. Exactly one of Guid? VelocityControlResponse.OrganizationId (organization-scoped) or Guid? VelocityControlResponse.CardId (card-scoped) is set.
Maximum spend within the window, in the currency's minor units (e.g. cents).
ISO 4217 currency code (e.g. USD).
The rolling period a velocity control's amount and usage limits are evaluated over.
TRANSACTION applies the limit per-transaction and therefore carries no usage limit.
DAY, LIFETIME, MONTH, TRANSACTION, WEEK Was this page helpful?